#ifndef SRC_CORE_AI_SPEECH_SERVER_H
#define SRC_CORE_AI_SPEECH_SERVER_H
#include <gio/gio.h>

#include <string>

namespace kyai::core::speech {

class CoreAiSpeechServer {
public:
    static CoreAiSpeechServer &getInstance();

    ~CoreAiSpeechServer();
    bool available() const { return connection_ != nullptr; }

    GDBusConnection *getConnection() const { return connection_; }

private:
    CoreAiSpeechServer();
    void init(const std::string &unixPath);
    void destroy();

private:
    GDBusConnection *connection_{nullptr};
};

}  // namespace kyai::core::speech

#endif  // SRC_CORE_AI_SPEECH_SERVER_H
